%bcond_with internet

Name:           nodejs-tilejson
Version:        1.0.3
Release:        5%{?dist}
Summary:        Tile source backend for online tile sources

License:        BSD
URL:            https://github.com/mapbox/node-tilejson
Source0:        https://registry.npmjs.org/tilejson/-/tilejson-%{version}.tgz
# Remove tests that need internet access
Patch0:         nodejs-tilejson-internet.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tape) >= 3.0.0
BuildRequires:  npm(agentkeepalive)
BuildRequires:  npm(requestretry)
BuildRequires:  npm(tiletype) >= 0.1.0

%description
%summary


%prep
%setup -q -n package
%if ! %{with internet}
%patch0 -p1
%endif
%nodejs_fixdep agentkeepalive "^3.0.0"
%nodejs_fixdep tiletype "^0.3.0"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/tilejson
cp -pr package.json lib %{buildroot}/%{nodejs_sitelib}/tilejson
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/tape/bin/tape test/*.test.js


%files
%license LICENSE
%{nodejs_sitelib}/tilejson


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb  4 2017 Tom Hughes <tom@compton.nu> - 1.0.3-1
- Update to 1.0.3 upstream release

* Tue Dec 20 2016 Tom Hughes <tom@compton.nu> - 1.0.2-2
- Update agentkeepalive dependency

* Fri Sep 16 2016 Tom Hughes <tom@compton.nu> - 1.0.2-1
- Update to 1.0.2 upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 19 2015 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Update to 1.0.1 upstream release

* Wed Nov 18 2015 Tom Hughes <tom@compton.nu> - 1.0.0-3
- Update tiletype dependency
- Enable as many tests as we can in koji

* Thu Oct  8 2015 Tom Hughes <tom@compton.nu> - 1.0.0-2
- Update agentkeepalive dependency

* Wed Sep 23 2015 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Update to 1.0.0 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  2 2015 Tom Hughes <tom@compton.nu> - 0.13.0-1
- Update to 0.13.0 upstream release
- Switch to %%license for the license file

* Mon Dec  8 2014 Tom Hughes <tom@compton.nu> - 0.12.0-2
- Update tiletype dependency

* Fri Dec  5 2014 Tom Hughes <tom@compton.nu> - 0.12.0-1
- Update to 0.12.0 upstream release

* Wed Nov 12 2014 Tom Hughes <tom@compton.nu> - 0.11.0-1
- Update to 0.11.0 upstream release

* Tue Aug 26 2014 Tom Hughes <tom@compton.nu> - 0.10.0-1
- Update to 0.10.0 upstream release

* Wed Jul 30 2014 Tom Hughes <tom@compton.nu> - 0.9.0-2
- Update agentkeepalive dependency

* Tue Jul 29 2014 Tom Hughes <tom@compton.nu> - 0.9.0-1
- Update to 0.9.0 upstream release

* Mon Jun 30 2014 Tom Hughes <tom@compton.nu> - 0.8.0-1
- Update to 0.8.0 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 12 2014 Tom Hughes <tom@compton.nu> - 0.6.4-1
- Update to 0.6.4 upstream release

* Sat Feb  8 2014 Tom Hughes <tom@compton.nu> - 0.6.3-1
- Update to 0.6.3 upstream release

* Thu Jan 30 2014 Tom Hughes <tom@compton.nu> - 0.6.2-1
- Update to 0.6.2 upstream release

* Sat Dec 14 2013 Tom Hughes <tom@compton.nu> - 0.6.1-2
- Update to 0.6.1 upstream release

* Sat Nov  9 2013 Tom Hughes <tom@compton.nu> - 0.6.0-2
- Update agentkeepalive dependency

* Tue Oct  1 2013 Tom Hughes <tom@compton.nu> - 0.6.0-1
- Update to 0.6.0 upstream release

* Wed Sep 18 2013 Tom Hughes <tom@compton.nu> - 0.5.0-1
- Update to 0.5.0 upstream release

* Tue Aug 20 2013 Tom Hughes <tom@compton.nu> - 0.4.0-1
- Update to 0.4.0 upstream release
- Update to latest nodejs packaging standards

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Tom Hughes <tom@compton.nu> - 0.3.4-1
- Update to 0.3.4 upstream release

* Mon Feb 25 2013 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Initial build of 0.3.2
